<?php
/**
 * $Horde: nic/index.php,v 1.21 2006/11/14 18:14:30 chuck Exp $
 *
 * Copyright 1999, 2000, 2001 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
$nic_configured = (is_readable(NIC_BASE . '/config/conf.php') &&
                   is_readable(NIC_BASE . '/config/devices.php') &&
                   is_readable(NIC_BASE . '/config/prefs.php'));

if (!$nic_configured) {
    require NIC_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('NIC', NIC_BASE,
        array('conf.php', 'prefs.php'),
        array('devices.php' => 'This file lists all network devices to be monitored by NIC.'));
}

require NIC_BASE . '/status.php';
