<?php
/**
 * Nic_Device_www:: is a Nic_Device implementation to retrieve data
 * from a WWW-SSL server.
 *
 * @author  Matt Selsky <selsky@columbia.edu>
 * @since   Nic 0.1
 * @package Nic
 */
class Nic_Device_www_secure extends Nic_Device_www {

    function Nic_Device_www_secure($params = array())
    {
        $this->params = $params;
        $this->params['hostspec'] = isset($this->params['hostspec']) ?
            $this->params['hostspec'] :
            'localhost';
        $this->params['port'] = isset($this->params['port']) ?
            $this->params['port'] :
            443;
    }

    function _getServerResponse($host, $port)
    {
        $host = 'ssl://' . $host;

        return parent::_getServerResponse($host, $port);
    }

}
